i-jetty for android latest version

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

i-jetty for android latest version

Nicoleta Sarbu
Hi,

Can you please provide me the latest version of Jetty for android, or a link to download?
I am blocked with my project beacuse of the error that the listener from webdefault.xml is not instantiated.

Thank you,
Nicoleta Sarbu 


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users
Reply | Threaded
Open this post in threaded view
|

Re: i-jetty for android latest version

Jesse McConnell
Nicoleta,

At this point there is no specific Jetty release for android, folks just use the latest version of Jetty crossed against the most recent appropriate Java version, 9.2.x for java 7, 9.4.x for java 8 and 9.

cheers,
Jesse

--
jesse mcconnell
[hidden email]

On Fri, Feb 16, 2018 at 7:24 AM, Nicoleta Sarbu <[hidden email]> wrote:
Hi,

Can you please provide me the latest version of Jetty for android, or a link to download?
I am blocked with my project beacuse of the error that the listener from webdefault.xml is not instantiated.

Thank you,
Nicoleta Sarbu 


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users
Reply | Threaded
Open this post in threaded view
|

Re: i-jetty for android latest version

Joakim Erdfelt-8
It is worth noting that you should not use "all" of jetty on Android.
You have to be selective in what you want to use, many components/modules/features are just not compatible with Android.

Things that are known to not work on any version Android.

HTTP/2 - there's no ALPN API available to us on Android.
Annotated Webapps - related to bytecode scanning.
Bytecode Scanning - there's no bytecode to scan.

If you use a traditional declared webapp with a WEB-INF/web.xml it will work.
If you have to use annotations (eg, a 3rd party lib requirement) then consider pre-scanning the webapp at build time and using jetty-quickstart at runtime.
It would be better if you don't use a war or WebAppContext, but use the ServletContextHandler directly.


Joakim Erdfelt / [hidden email]

On Fri, Feb 16, 2018 at 8:45 AM, Jesse McConnell <[hidden email]> wrote:
Nicoleta,

At this point there is no specific Jetty release for android, folks just use the latest version of Jetty crossed against the most recent appropriate Java version, 9.2.x for java 7, 9.4.x for java 8 and 9.

cheers,
Jesse

--
jesse mcconnell
[hidden email]

On Fri, Feb 16, 2018 at 7:24 AM, Nicoleta Sarbu <[hidden email]> wrote:
Hi,

Can you please provide me the latest version of Jetty for android, or a link to download?
I am blocked with my project beacuse of the error that the listener from webdefault.xml is not instantiated.

Thank you,
Nicoleta Sarbu 


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users


_______________________________________________
jetty-users mailing list
[hidden email]
To change your delivery options, retrieve your password, or unsubscribe from this list, visit
https://dev.eclipse.org/mailman/listinfo/jetty-users